Konubinix' opinionated web of thoughts

Bracelet to Hold an Elastic

Fleeting

tag: learning 3D printing

It should be as simple as sweeping a profile on an arc.

import cadquery as cq

path = (
    cq.Workplane("XY")
    .threePointArc(
        (100,     30),
        (15,     -30),
    )
)

profile = (
    cq.Workplane("XZ")
    .polyline(
        [
            (0,       0),
            (-10,     0),
            (-10,     02.5),
            (-5,      02.5),
            (-5,      12.5),
            (-10,     12.5),
            (-10,     15),
            (0,       15),
        ],
    ).close()
)

result = (
    profile.sweep(path)

)
cq.exporters.export(
    (
        result.val().scale(.5)
    ),
    out,
)
return out

()